Bug 23226 - Features of generic driver (template)
Summary: Features of generic driver (template)
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: Flash driver (Show other bugs)
(Show other bugs)
Version: CVS
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: ecc-bugs-int
QA Contact: ecc-bugs-int
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-03 13:28 UTC by Jesper Skov
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 15:45:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesper Skov 2001-01-03 13:28:35 UTC
Mutiple parts of same type but with gaps between them in address space.
 1: If MMU available, remap so they appear as one big part
 2: If no MMU, threat as separate regions - can't program linear code/data
    into the parts anyway, so no reason to make the driver clever enough
    to handle the gaps.

The driver knows the part size and the number of interleaved parts,
and can from that determine the AND-mask necessary to compute address
zero of the parts (necessary for some commands).

Even parts that do not have software programmable write-protection should
allow for the platform header to specify a macro that handles write-
protection.

Some parts need a delay in the relocated program code - where it cannot
rely on the HAL_US_DELAY function (which may be implemented by a function
which is attempted called with a relative branch).

Drivers should support interleaving for various bus widths.

Comment 1 Alex Schuilenburg 2003-06-20 15:45:05 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id>23226


Note You need to log in before you can comment on or make changes to this bug.